Bug 476373 - Latest crash in F9 does not support the latest 2.6.27 F9 kernel
Latest crash in F9 does not support the latest 2.6.27 F9 kernel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: crash (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Anderson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-13 14:36 EST by Sam Varshavchik
Modified: 2009-06-10 08:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 08:25:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2008-12-13 14:36:42 EST
Description of problem:

The current version of the crash utility, in F9, does not appear to support crash dumps from the latest available F9 2.6.27 kernel.

Version-Release number of selected component (if applicable):

crash-4.0-6.0.5.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Install latest crash and F9 kernel build, 2.6.27.7-53.fc9.x86_64. Install the corresponding debuginfo rpm, etc...
2. Install kexec-tools, set it up, etc..
3. Generate a succesful crash dump via altsysrq
4. Try to start crash: crash [vmlinux path] [vmcore path]
  
Actual results:

Error message:

crash: cannot resolve: "end_pfn"

Expected results:

A useful debug session

Additional info:

The following thread suggests that this is a known issue in the version of crash not supporting the 2.6.27 kernel. This thread appears to include the necessary patch:

http://www.mail-archive.com/crash-utility@redhat.com/msg01214.html
Comment 1 Dave Anderson 2008-12-15 09:49:05 EST
> The following thread suggests that this is a known issue in the version of
> crash not supporting the 2.6.27 kernel. This thread appears to include the
> necessary patch:
>
> http://www.mail-archive.com/crash-utility@redhat.com/msg01214.html

That's correct -- which resulted in this upstream change in 4.0-7.2:

http://people.redhat.com/anderson/crash.changelog.html#4_0_7_2

4.0-7.2  - Fix for initialization-time failure when running against 2.6.27
           x86_64 kernels, which indicate "crash: cannot resolve: end_pfn".
           The patch sets the new 2.6.27 x86_64 PAGE_OFFSET value, handles 
           the change in the x86_64 "_cpu_pda" variable declaration, and 
           distinguishes paravirtual "pv_ops" kernels from traditional xen
           kernels.  (oomichi@mxs.nes.nec.co.jp, anderson@redhat.com)

> Version-Release number of selected component (if applicable):
>
> crash-4.0-6.0.5.x86_64

I don't update existing Fedora versions of crash given that they
constantly update their kernel versions, so it's a losing battle.
Every so often I update the "devel" branch, and the most recent one
is later than the one you reference: 

  build: dist-f10,devel:crash-4.0-7
  http://koji.fedoraproject.org/koji/buildinfo?buildID=56268

But now that one is also obsolete.  When I get around to it, I'll update
the devel branch to the latest (at the time) version.

In any case, as I tell all Fedora users, just download the latest from:

  http://people.redhat.com/anderson

Thanks,
  Dave
Comment 2 Sam Varshavchik 2008-12-15 20:48:30 EST
Actually I did try rebuilding the latest crash from the F10 branch. I did try to rebuild 4.0-7, but that version still failed to read the crash file. 4.0-7 is dated July 15th, while that mailing list message is from September.

Rebuilding your 4.0-7.5 snapshot resulted in success opening the same kernel dump. So, it looks like F10's crash indeed requires an update.
Comment 3 Bug Zapper 2009-06-09 23:25:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.